# getopt.c File Reference

`#include <stdio.h>`
`#include "getopt.h"`

Include dependency graph for getopt.c:

## Defines

#define | GETOPT_INTERFACE_VERSION 2
#define | _(msgid) (msgid)
#define | SWAP_FLAGS(ch1, ch2)
#define | NONOPTION_P (argv[optind][0] != '-' || argv[optind][1] == '\0')

## Enumerations

enum | { REQUIRE_ORDER, PERMUTE, RETURN_IN_ORDER }

## Functions

char * | getenv ()
int | _getopt_internal (int argc, char *const *argv, const char *optstring, const struct option *longopts, int *longind, int long_only)
int | getopt (int argc, char *const *argv, const char *optstring)

## Variables

char * | optarg = NULL
int | optind = 1
int | __getopt_initialized = 0
int | opterr = 1
int | optopt = '?'

## Define Documentation

#define _ | ( | msgid |  | ) | (msgid)

#define GETOPT_INTERFACE_VERSION 2

#define NONOPTION_P (argv[optind][0] != '-' || argv[optind][1] == '\0')

#define SWAP_FLAGS | ( | ch1,
|  | ch2 |  | ) |

## Enumeration Type Documentation

anonymous enum

Enumerator:

  REQUIRE_ORDER |
  PERMUTE |
  RETURN_IN_ORDER |

## Function Documentation

int _getopt_internal | ( | int | argc,
|  | char *const * | argv,
|  | const char * | optstring,
|  | const struct option * | longopts,
|  | int * | longind,
|  | int | long_only
| ) |

char* getenv | ( |  | ) |

int getopt | ( | int | argc,
|  | char *const * | argv,
|  | const char * | optstring
| ) |

## Variable Documentation

int __getopt_initialized = 0

char* optarg = NULL

int opterr = 1

int optind = 1

int optopt = '?'